unit frmLatency;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TLatencyForm = class(TForm)
    Label1: TLabel;
    listboxFiles: TListBox;
    buttonPlay: TButton;
    buttonStop: TButton;
    Label2: TLabel;
    buttonDone: TButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure buttonDoneClick(Sender: TObject);
    procedure buttonPlayClick(Sender: TObject);
    procedure buttonStopClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

uses frmMain, frmFile;

procedure TLatencyForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  TMainForm(MainForm).StopAllDSounds;
  Action := caFree;
end;

procedure TLatencyForm.FormCreate(Sender: TObject);
var
  Cnt: Integer;
begin
  with TMainForm(MainForm) do
    for Cnt := 0 to Files.Count-1 do
      listboxFiles.Items.AddObject( TFileForm(Files[Cnt]).FileName, Files[Cnt] );
end;

procedure TLatencyForm.buttonDoneClick(Sender: TObject);
begin
  Close;
end;

procedure TLatencyForm.buttonPlayClick(Sender: TObject);
begin
  if (listboxFiles.ItemIndex <> -1) then
    TFileForm(listboxFiles.Items.Objects[listboxFiles.ItemIndex]).StartDSound;
end;

procedure TLatencyForm.buttonStopClick(Sender: TObject);
begin
  TMainForm(MainForm).StopAllDSounds;
end;

end.
