unit frmDriver;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DDirectSound;

type
  TDriverForm = class(TForm)
    comboboxDrivers: TComboBox;
    Label1: TLabel;
    buttonOk: TButton;
    buttonCancel: TButton;
    procedure buttonOkClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    FGUIDPtr: PGUID;
    Devices: TDSDevices;
  public
    property GUIDPtr: PGUID read FGUIDPtr;
  end;

  
implementation

{$R *.DFM}


procedure TDriverForm.buttonOkClick(Sender: TObject);
begin
  if (comboboxDrivers.ItemIndex <> -1) then
    FGUIDPtr := PGUID(comboboxDrivers.Items.Objects[ comboboxDrivers.ItemIndex ]);
end;

procedure TDriverForm.FormCreate(Sender: TObject);
var
  Cnt: Integer;
begin
  FGuidPtr := nil;

  Devices := TDSDevices.Create;

  EnumerateDirectSound( Devices );

  for Cnt := 0 to Devices.Count-1 do
    comboboxDrivers.Items.AddObject( Devices[Cnt].Description,
      TObject(Devices[Cnt].GUIDPtr) );

  comboboxDrivers.ItemIndex := 0;
end;

procedure TDriverForm.FormDestroy(Sender: TObject);
begin
  Devices.Free;
end;

end.
